View Issue Details

IDProjectCategoryView StatusLast Update
0036573LazarusUtilitiespublic2021-03-09 19:18
ReporterJohann Wöckinger Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.6 
Summary0036573: LazDe "see also" links are deleted
DescriptionWhen a "see also" link is inserted into the corresponding field of a documentation item, it is deleted when xml ist saved or even when another item on the tree is selected.
If an existing xml docfile is opened (for example one of the ide), which has a "see also" field with links in it, they are deleted if the field is opened for editing the link and the file saved afterwards.
Steps To Reproduceopen lazarus (I use Version 2.06 on windows 10 enterprise 64bit),
- start LazDe
- open any xml docfile (for example lcl/dialogs.xml)
- select an item having a "see also" link content
- open the link for editing and close it
- save the xml or just select an other item on the left tree
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Bart Broersma

2020-03-21 14:02

developer   ~0121673

I did what you described: opende the file for ActionList.
Navigated to ActionList->TAction->TCustomAction.
Edited "See also" from "TAction" into "TAction|Taction"
Saved XML
Closed LazDE
Re-opend LazDE: changes made were still present.

Juha Manninen

2021-02-28 23:15

developer   ~0129260

Johann, can you please test with Lazarus trunk (development version).

Juha Manninen

2021-03-06 18:07

developer   ~0129447

I assume it works. Resolving.

Issue History

Date Modified Username Field Change
2020-01-14 16:28 Johann Wöckinger New Issue
2020-01-16 23:46 Maxim Ganetsky Category Documentation => Utilities
2020-01-16 23:46 Maxim Ganetsky LazTarget => -
2020-01-16 23:46 Maxim Ganetsky Widgetset Win32/Win64 => Win32/Win64
2020-03-21 14:02 Bart Broersma Note Added: 0121673
2021-02-28 23:15 Juha Manninen Assigned To => Juha Manninen
2021-02-28 23:15 Juha Manninen Status new => feedback
2021-02-28 23:15 Juha Manninen Note Added: 0129260
2021-03-06 18:07 Juha Manninen Status feedback => resolved
2021-03-06 18:07 Juha Manninen Resolution open => fixed
2021-03-06 18:07 Juha Manninen Widgetset Win32/Win64 => Win32/Win64
2021-03-06 18:07 Juha Manninen Note Added: 0129447